# CRP Gateway
## RELEASE NOTES 
> v1.3.18

> Initial release of CRP Gateway for basic features on testing with CRP's Member Test.

### Installation Steps
* Refer to CRP Gateway Installation Guide v1.0 or above
* Refer to CRP Gateway Portal Configuration Guide v1.0 or above

### New Features
* CRP Services - Data Submission / Amendment
    * Submission History
    * Data File Upload (TUDF / CDSF / CSV)
* CRP Services - Credit Report Enquiry
    * Enquiry History
    * Enquiry File Upload (TUEF / CSEF / CSV)
* CRP Services - Positive Mortgage Data Sharing
    * Submission History
    * Data File Upload (TUDF / CDSF / CSV)
    * Enquiry History
    * Enquiry File Upload (TUEF / CSEF / CSV)
* Account Management
    * OAuth2 Credentials
    * Signing Secret
    * Certificates
* User Management
    * User Management
    * User Group Management
    * Department Management
* Gateway Configuration
    * ICL CRP Configuration
        1. CRP Host/IP
        2. Participant Code
        3. CRP Proxy Server Host/IP
    * Gateway Integration Authentication
        1. Inward API Key (Optional)
        2. Gateway OAuth2 Token URL
        3. Gateway OAuth2 Verify URL
    * User Directory Integration
        1. Maximum Login Attempts
    * Job Scheduler
        1. Data Submission - File Upload
        2. Data Amendment - File Upload
        3. Credit Report Enquiry - File Upload
        4. PMDS Data Submission - File Upload
        5. PMDS Credit Report Enquiry - File Upload
        6. Reply CRP Message
