# CRP Gateway
## RELEASE NOTES 
> v1.4.6

### Upgrade Steps
* Refer to CRP Gateway Patching Guide v1.0 or above

### New Features

### Bug Fixes
* Handling the zipped files with directory inside (NOVA), not showing the supplementary list if failed on unzipping the report archive
* Fix incorrect default file extension when downloading files from CRP Gateway portal
* Fix change password page submit button not responsible
* Fix converter logic issues when converting CSV to TUDF file

### Improvements
* Display creation date-time for responses and report download notification received date-time
* Show DCR Reminder Notification that mapped to corresponding DCR Message
* Show error messages when downloading if there are any errors

### Other Changes
* Change username validation rules on minimum length from 6 to 1
* Skip tests on decompressing the credit report archive and return empty file list if the archive cannot be decompressed
* Refactor user security login components and logics
